#!/usr/bin/env python
# encoding: utf-8
"""Call handle_formvalidate."""
from efa.scripts.participations_validate import handle_formvalidate


def add_validate_parser(subparsers, parent):
    """add parser"""
    validate_parser = subparsers.add_parser(
        "validate", parents=[parent],
        help="Validate participations with FF validators")
    validate_parser.set_defaults(func=handle_validate)


def handle_validate(args):
    "add FF validators"
    args.datatype = "participations"
    args.clazz = "model.participation.SIBParticipation"
    handle_formvalidate(args, None)
